
__fields_info__ = {  "ionized_fraction"                  : { "synonyms" : ['x_HII', 'f_HII', 'x_ion', 'f_ion', 'ion_frac']                                                         , "description" : "Ionized fraction"                                            , "symbol" : r"$x_\mathrm{HII}$"                                                          , "units" : ""             , "remarks": "volume-averaged"}  ,
                     "Lya_flux_power_spectrum"           : { "synonyms" : ['Lya_flux_PS']                                                                                          , "description" : "Ly-alpha flux power spectrum"                                , "symbol" : r"$P\, [\mathrm{km/s}]$"                                                     , "units" : "km/s"         , "remarks": ""}  , 
                     "mean_free_path"                    : { "synonyms" : ['mfp', 'lambda_mfp', 'lambda_ion', 'lambda_912', 'mfp_912', 'mfp_ion']                                  , "description" : "Mean free path of ionising photons"                          , "symbol" : r"$\lambda_\mathrm{mfp} \, [h^{-1} \, \mathrm{Mpc}]$"                        , "units" : "Mpc/h"        , "remarks": ""}  , 
                     "effective_optical_depth_HI_Lya"    : { "synonyms" : ['tau_HI', 'tau_eff_HI']                                                                                 , "description" : "HI Ly-alpha effective optical depth"                         , "symbol" : r"$\tau_\mathrm{eff, HI}$"                                                   , "units" : ""             , "remarks": ""}  , 
                     "effective_optical_depth_HeII_Lya"  : { "synonyms" : ['tau_HeII', 'tau_eff_HeII']                                                                             , "description" : "HeII Ly-alpha effective optical depth"                       , "symbol" : r"$\tau_\mathrm{eff, HeII}$"                                                 , "units" : ""             , "remarks": ""}  , 
                     "HeII_to_HI_column_density_ratio"   : { "synonyms" : ['eta']                                                                                                  , "description" : "HeII-to-HI column density ratio"                             , "symbol" : r"$\eta$"                                                                    , "units" : ""             , "remarks": ""}  , 
                     "quasar_luminosity_function"        : { "synonyms" : ['QLF', 'QSOLF']                                                                                         , "description" : "Quasar luminosity function"                                  , "symbol" : r"$\log_{10} (phi_\mathrm{QSO}) \, [\mathrm{Mpc}^{-3} \, \mathrm{mag}^{-1}]$", "units" : "Mpc^-3 mag^-1", "remarks": ""}  , 
                     "UV_luminosity_function"            : { "synonyms" : ['UVLF']                                                                                                 , "description" : "Galaxy UV luminosity function"                               , "symbol" : r"$\log_{10} (phi_\mathrm{UV}) \, [\mathrm{Mpc}^{-3} \, \mathrm{mag}^{-1}]$" , "units" : "Mpc^-3 mag^-1", "remarks": ""}  , 
                     "IGM_temperature_mean_density"      : { "synonyms" : ['T0']                                                                                                   , "description" : "IGM temperature at mean density"                             , "symbol" : r"T0 [K]"                                                                    , "units" : "K"            , "remarks": ""}  , 
                     "optical_depth_CMB"                 : { "synonyms" : ['tau_cmb', 'tau_CMB']                                                                                   , "description" : "CMB optical depth"                                           , "symbol" : r"$\tau_\mathrm{CMB}$"                                                       , "units" : ""             , "remarks": ""}  , 
                     "sfrd"                              : { "synonyms" : ['SFRD', 'star formation rate density', 'star-formation-rate density', 'star-formation rate density']    , "description" : "Star-formation-rate density"                                 , "symbol" : r"$\log \Psi \, [\mathrm{M}_\odot \mathrm{yr}^{-1} \mathrm{Mpc}^{-3}]$"      , "units" : "Msun/yr/Mpc^3", "remarks": ""}  , 
                     "Lya_spike_galaxy_correlation"      : { "synonyms" : []                                                                                                       , "description" : "Ly-alpha spike - galaxy correlation"                         , "symbol" : r"$\langle f \rangle / \bar{f} - 1$"                                         , "units" : ""             , "remarks": ""}  ,
                     "mass_stellar_metallicity_relation" : { "synonyms" : ['stellar MZR']                                                                                          , "description" : "Stellar metallicity as function of galaxy stellar mass"      , "symbol" : r"$\log(Z/Z_\odot)$"                                                         , "units" : ""             , "remarks": ""}  ,
                     "mass_gas_metallicity_relation"     : { "synonyms" : ['gas MZR']                                                                                              , "description" : "Gas-phase O/H metallicity as function of galaxy stellar mass", "symbol" : r"$\log(O/H) + 12$"                                                          , "units" : ""             , "remarks": ""}  ,
                     "galaxy_main_sequence"              : { "synonyms" : ['GMS']                                                                                                  , "description" : "Star formation rate  as function of galaxy stellar mass"     , "symbol" : r"SFR [M$_\odot$/yr]"                                                        , "units" : "Msun/yr"      , "remarks": ""}  ,
                     "UV_slope"                          : { "synonyms" : ['beta_UV']                                                                                              , "description" : "Slope of the galaxy UV log flux density"                     , "symbol" : r"$\beta$"                                                                   , "units" : ""             , "remarks": ""}  ,
                  }
